mod connect; pub use connect::*;

mod register; pub use register::*;
mod auth; pub use auth::*;
mod resume; pub use resume::*;

mod session_list; pub use session_list::*;
mod session_create; pub use session_create::*;
mod session_join; pub use session_join::*;
mod session_retire; pub use session_retire::*;

mod game_state; pub use game_state::*;
mod game_play; pub use game_play::*;
mod game_history; pub use game_history::*;

mod prelude {
    pub trait Packet {
        type Data;

        fn encode(&self) -> Vec<u8> { Vec::new() }
        fn decode(_data:&Vec<u8>, _index:&mut usize) -> Result<Self::Data, ()> { Err(()) }
    }
} pub use prelude::*;
