use crate::app::session::SessionToken;

use super::Packet;

#[derive(Clone)]
pub struct PacketSessionRetire {
    pub token:SessionToken,
}
impl PacketSessionRetire {
    pub fn new() -> Self
    {
        Self {
            token:SessionToken::default(),
        }
    }
}
impl Packet for PacketSessionRetire {
    type Data = Self;

    fn decode(data:&Vec<u8>, index:&mut usize) -> Result<Self::Data, ()>
    {
        let mut result = Self::new();

        if data.len() - *index == 8 {
            for i in 0..8 { result.token[i] = data[*index]; *index += 1; }
            Ok(result)
        } else {
            Err(())
        }
    }
}
